'use strict';

const React = require('react');

const Section = ({ className, href, text, extraText, isLink, handler }) => React.createElement(
  'li',
  { className: className },
  React.createElement(
    'a',
    {
      className: 'font--white',
      href: href,
      onClick: !isLink && handler },
    text,
    extraText && React.createElement(
      'span',
      { className: 'extra-text' },
      extraText
    )
  )
);

const { string, bool, func } = React.PropTypes;

Section.propTypes = {
  className: string,
  href: string,
  text: string,
  extraText: string,
  isLink: bool,
  handler: func
};

module.exports = Section;